Subject: [port-srv-reg] "esp" service type and the unified IANA Service Name and Port Number Registry

From: Stuart Cheshire <[email-masked]>
Date: Wed, 17 Aug 2011 15:27:32 -0700

Daniel, I'm writing in reference to this service type registration:

> From: Daniel Taylor <[email-masked]>
> Date: Wed, 28 Nov 2007 09:42:26 -0700
> To: <[email-masked]>
> Conversation: Service Type Request
> Subject: Service Type Request
> 
> Hello,
> 
> I would like to request a service type for a project I am working on
> that supports automatic service discovery using DNS-SD. Currently we
> are advertising and browsing using "_recipe._tcp" but I would like to
> formalize it. Here are the six points listed on the services page:
> 
> 1. recipe
> 2. Recipe Sharing Protocol
> 3. Daniel G. Taylor <[email-masked]>
> 4. http://www.recipemanager.org/rsp/
> 5. _tcp
> 6. http://www.recipemanager.org/rsp/rsp10draft.html#dnssd

We recently merged the volunteer-run dns-sd.org registry and the official IANA "port numbers" registry, to make a new combined "Service Name and Port Number Registry". For more information, see:

<http://tools.ietf.org/html/draft-ietf-tsvwg-iana-ports>

While combining the two registries is overall a great move, unfortunately in the process we discovered that there were three names which got registered differently in the two separate lists, one of which is "recipe".

I'm writing to ask you the state of your "recipe" service type. Is this currently in use in your software?

If the answer is that you registered this service type for a product that never shipped, or for a product that has since been discontinued, then that's great news because it means we can resolve this name collision painlessly.

If you're still actively using the "recipe" service type in your current software, then please let us know as soon as possible, and we'll try to work out a way forward that minimises disruption to all parties.

Thanks in advance.

Stuart Cheshire, on behalf of the IANA port-srv-reg team.